<?php
/**
 * The header for our theme
 *
 * @package WordPress
 * @subpackage oneloginbiz
 * @since 1.0
 * @version 0.1
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="<?php echo esc_url( __( 'http://gmpg.org/xfn/11', 'oneloginbiz' ) ); ?>">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="site">

<div class="custom-home-header">
	<div class="top-header">
		<div class="container">	
			<?php get_template_part( 'template-parts/header/header', 'image' ); ?>
			<div class="row">
				<div class="col-md-9">
					<div class="social-icon">
						<?php if( get_theme_mod( 'oneloginbiz_facebook' ) != '') { ?>
							<a href="<?php echo esc_url( get_theme_mod('oneloginbiz_facebook','') ); ?>"><?php esc_html_e('FACEBOOK','oneloginbiz'); ?></a>
						<?php } ?>
						<?php if( get_theme_mod( 'oneloginbiz_twitter' ) != '') { ?>
							<a href="<?php echo esc_url( get_theme_mod('oneloginbiz_twitter','') ); ?>"><?php esc_html_e('TWITTER','oneloginbiz'); ?></a>
						<?php } ?>
						<?php if( get_theme_mod( 'oneloginbiz_linkdin' ) != '') { ?>
							<a href="<?php echo esc_url( get_theme_mod('oneloginbiz_linkdin','') ); ?>"><?php esc_html_e('LINKDIN','oneloginbiz'); ?></a>
						<?php } ?>
						<?php if( get_theme_mod( 'oneloginbiz_instagram' ) != '') { ?>
							<a href="<?php echo esc_url( get_theme_mod('oneloginbiz_instagram','') ); ?>"><?php esc_html_e('INSTAGRAM','oneloginbiz'); ?></a>
						<?php } ?>
					</div>
				</div>
				<div class="col-md-3">
					<div class="search-box">
		            	<?php get_search_form(); ?>
		          	</div>
	      		</div>
			</div>
		</div>
	</div>
	<div class="toggle"><a class="toggleMenu" href="#"><?php esc_html_e('Menu','oneloginbiz'); ?></a></div>

	<div id="header">
		<div class="container">
			<div class="main-top">
				<div class="logo">
			        <?php if( has_custom_logo() ){ oneloginbiz_the_custom_logo();
			           }else{ ?>
			          <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
			          <?php $description = get_bloginfo( 'description', 'display' );
			          if ( $description || is_customize_preview() ) : ?> 
			            <p class="site-description"><?php echo esc_html($description); ?></p>       
			        <?php endif; }?>
			    </div>
			    <div class="nav">
					<?php wp_nav_menu( array('theme_location'  => 'primary') ); ?>	
				</div>
				<div class="clearfix"></div>
			</div>
		</div>
	</div>
</div>