<?php
/**
 * The main template file
 * @package WordPress
 * @subpackage oneloginbiz
 * @since 1.0
 * @version 0.1
 */

get_header(); ?>

<div class="container">
	<?php if ( is_home() && ! is_front_page() ) : ?>
		<header class="page-header">
			<h1 class="page-title"><span><?php single_post_title(); ?></span></h1>
		</header>
	<?php else : ?>
	<header class="page-header">
		<h2 class="page-title"><span><?php esc_html_e( 'Posts', 'oneloginbiz' ); ?></span></h2>
	</header>
	<?php endif; ?>

	<div class="content-area">
		<div id="main" class="site-main" role="main">		
	    	<div class="row">
	    		<div id="" class="content_area col-md-8 col-sm-8">
			    	<section id="post_section" class="row">
			    		<div class="row">
							<?php
								if ( have_posts() ) :
								while ( have_posts() ) : the_post();

									get_template_part( 'template-parts/post/content' );

								endwhile;

								else :

									get_template_part( 'template-parts/post/content', 'none' );

								endif;
							?>
						</div>
						<div class="navigation">
			                <?php
			                    
			                    the_posts_pagination( array(
			                        'prev_text'          => __( 'Previous page', 'oneloginbiz' ),
			                        'next_text'          => __( 'Next page', 'oneloginbiz' ),
			                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'oneloginbiz' ) . ' </span>',
			                    ) );
			                ?>
			                <div class="clearfix"></div>
		           	 	</div>
					</section>
				</div>
		        <div id="sidebar" class="col-md-4 col-sm-4"><?php dynamic_sidebar('sidebar-1'); ?></div>
			</div>
			<div class="clearfix"></div>		
		</div>
	</div>
</div>

<?php get_footer();