<?php
/**
 * Template Name: Custom Home Page
 */

get_header(); ?>

<?php do_action( 'oneloginbiz_above_slider' ); ?>

<div class="container">
	<?php if( get_theme_mod('oneloginbiz_slider_arrows') != ''){ ?>	
		<section id="slider">		
		  	<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
		  		<?php
		  		  	$pages = array();
		  		  	for($i=1; $i<=2; $i++)
		  		  	{
		  		  	$mod = intval( get_theme_mod( 'oneloginbiz_slider' . $i ));
				      	if ( 'page-none-selected' != $mod ) {
				       		$pages[] = $mod;
				      	}
		  		  	}

		  		  	for ( $i = 3; $i <= 4; $i++ ) {
				      	$mod =  get_theme_mod( 'oneloginbiz_post_setting' . $i );
				      	if ( 'page-none-selected' != $mod ) {
				        	$pages[] = $mod;
				      	}
				    }
		  		   	if( !empty($pages) ) :
					    $args = array(
					    	'post_type' =>array('post','page'),
					        'post__in' => $pages
					    );
				    $query = new WP_Query( $args );
				    if ( $query->have_posts() ) :
				      	$i = 1;
				?>
			    <div class="carousel-inner" role="listbox">
			      	<?php  while ( $query->have_posts() ) : $query->the_post(); ?>
			        <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
			          	<img src="<?php the_post_thumbnail_url('full'); ?>"/>
			          	<div class="carousel-caption">
				            <div class="inner_carousel">
				              	<h2><?php the_title();?></h2>	
				              	<p><?php $excerpt = get_the_excerpt(); echo esc_html( oneloginbiz_string_limit_words( $excerpt,10 ) ); ?></p>	
				              	<div class="read-btn">             
				                  <a href="<?php echo esc_url( get_permalink() );?>" class="blogbutton-small" title="<?php esc_attr_e( 'READ MORE', 'oneloginbiz' ); ?>"><?php esc_html_e('READ MORE','oneloginbiz'); ?>              	
				                  </a>          
				              	</div>              	
				            </div>
			          	</div>
			        </div>
			      	<?php $i++; endwhile; 
			      	wp_reset_postdata();?>
			    </div>
			    <?php else : ?>
			    <div class="no-postfound"></div>
			      <?php endif;
			    endif;?>
			   	    
			    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
			      <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
			    </a>
			    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
			      <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
			    </a>
		  	</div> 
		  	<div class="clearfix"></div>
		</section>
	<?php }?>
</div>

<?php do_action( 'oneloginbiz_above_slider' ); ?>

<section id="service-section">
	<div class="container">
		<div class="service">
			<div class="service-title">
				<?php if( get_theme_mod('oneloginbiz_service_title') != ''){ ?>     
	        		<h2><?php echo esc_html(get_theme_mod('oneloginbiz_service_title',__('Our Services','oneloginbiz'))); ?></h2>
	        	<?php }?>
			</div>
			<div class="service-description">
				<?php if( get_theme_mod('oneloginbiz_service_description') != ''){ ?>
	        		<p><?php echo esc_html(get_theme_mod('oneloginbiz_service_description',__('Description','oneloginbiz'))); ?></p>
	        	<?php }?>			
			</div>
		</div>
		<div class="row">
      		<?php
      		$catset=get_theme_mod( 'oneloginbiz_category_section_setting' );
				$categories = ($catset[0] !== 0 ? '' . implode( ',', get_theme_mod( 'oneloginbiz_category_section_setting' ) ) : '' );
				      	$args       = array(
						'cat'            => $categories,
					);
					$page_query = new WP_Query( $args );
			?>
        	<?php while( $page_query->have_posts() ) : $page_query->the_post(); ?> 
	          	<div class="col-md-4 col-sm-4">
	          		<div class="postbox smallpostimage"> 	
				        <div class="padd-box">
				          	<div class="box-image">
				          		<?php 
				                    if(has_post_thumbnail()) { ?>
							        <div class="box">
							        	<div class="box-content"></div>
						            	<img src="<?php the_post_thumbnail_url('full'); ?>"/>
						            </div>
						        <?php }?>
				            	<div class="overlay">
				            		<a href="<?php echo esc_url( get_permalink() );?>"><h4><?php the_title();?></h4></a>
				            		<p><?php $excerpt = get_the_excerpt(); echo esc_html( oneloginbiz_string_limit_words( $excerpt,20 ) ); ?></p>			     		
				            	</div>
				          	</div>
				        </div>  	
				      	<div class="clearfix"></div> 
				  	</div>
	          	</div>
          		<?php endwhile; 
          	wp_reset_postdata();
      		?>
      	</div>
	</div>
</section>

<?php do_action('oneloginbiz_below_service_section'); ?>

<div class="container">
  <?php while ( have_posts() ) : the_post(); ?>
        <?php the_content(); ?>
    <?php endwhile; // end of the loop. ?>
</div>

<?php get_footer(); ?>