<?php
/**
 * Template Name: Custom Home Page1
 */
get_header();

get_template_part( 'template-parts/header/header', 'home2' ); ?>

	<?php if( get_theme_mod('oneloginbiz_slider_arrows1') != ''){ ?>	
		<section id="slider1">		
		  	<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
		  		<?php
		  		  $pages = array();
		  		  for($i=1; $i<=2; $i++)
		  		  {
		  		  	$mod = intval( get_theme_mod( 'oneloginbiz_slider1' . $i ));
				      if ( 'page-none-selected' != $mod ) {
				        $pages[] = $mod;
				      }
		  		  }

		  		  for ( $i = 3; $i <= 4; $i++ ) {
				      $mod =  get_theme_mod( 'oneloginbiz_post_setting1' . $i );
				      if ( 'page-none-selected' != $mod ) {
				        $pages[] = $mod;
				      }
				    }
		  		   if( !empty($pages) ) :
				    $args = array(
				    	'post_type' =>array('post','page'),
				        'post__in' => $pages
				    );
				    $query = new WP_Query( $args );
				    if ( $query->have_posts() ) :
				      $i = 1;
				?>
			    <div class="carousel-inner" role="listbox">
			      	<?php  while ( $query->have_posts() ) : $query->the_post(); ?>
			        <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
			          	<img src="<?php the_post_thumbnail_url('full'); ?>"/>
			          	<div class="carousel-caption">
				            <div class="inner_carousel">
				              	<h2><?php the_title();?></h2>
				              	<p><?php $excerpt = get_the_excerpt(); echo esc_html( oneloginbiz_string_limit_words( $excerpt,50 ) ); ?></p>	
				              	<div class="getstarted-btn">
				                  	<a href="<?php echo esc_url( get_permalink() );?>" class="blogbutton-small" title="<?php esc_attr_e( 'LEARN MORE', 'oneloginbiz' ); ?>"><span><?php esc_html_e('LEARN MORE','oneloginbiz'); ?><i class="fas fa-arrow-right"></i></span>
				                  	</a>
				              	</div>
				            </div>
			          	</div>
			        </div>
			      	<?php $i++; endwhile; 
			      	wp_reset_postdata();?>
			    </div>
			    <?php else : ?>
			    <div class="no-postfound"></div>
			      <?php endif;
			    endif;?>
			   	    
				    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
				      <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
				    </a>
				    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
				      <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
				    </a>		    
		  	</div> 
		  	<div class="clearfix"></div>
		</section>
	<?php }?>

	<?php if( get_theme_mod( 'oneloginbiz_single_post','' ) != '') { ?>
	<section id="single_post">
		<div class="container">
	        <?php
	         $args = array( 'name' => get_theme_mod('oneloginbiz_single_post',''));
	         $query = new WP_Query( $args );
	         if ( $query->have_posts() ) :
	           while ( $query->have_posts() ) : $query->the_post(); ?>
	           	<div class="singlepost-content">
		           	<div class="singlepost">
	                   <h2><?php the_title();?></h2>	
				       <p><?php $excerpt = get_the_excerpt(); echo esc_html( oneloginbiz_string_limit_words( $excerpt,50 ) ); ?></p>
		            </div>
		            <div class="single-btn">
		               	<span class="learn-btn">
		                  	<a href="<?php echo esc_url( get_permalink() );?>" class="blogbutton-small" title="<?php esc_attr_e( 'LEARN MORE', 'oneloginbiz' ); ?>"><span><?php esc_html_e('LEARN MORE','oneloginbiz'); ?><i class="fas fa-arrow-right"></i></span>
		                  	</a> 
		                </span>   
	              	</div>
	            </div>
	           <?php endwhile; 
	           wp_reset_postdata();?>
	           <?php else : ?>
	             <div class="no-postfound"></div>
	           <?php
	        endif; ?>
    	</div>
	</section>
	<?php }?>

	<?php if( get_theme_mod( 'oneloginbiz_design_section_post','' ) != '') { ?>
	<section id="design_section">
		<div class="container">
	        <?php
	         $args = array( 'name' => get_theme_mod('oneloginbiz_design_section_post',''));
	         $query = new WP_Query( $args );
	         if ( $query->have_posts() ) :
	           while ( $query->have_posts() ) : $query->the_post(); ?>
	           	<div class="design_section-content">
	           		<div class="row">
	           			<div class="col-md-6">
				           	<div class="designsection">
			                   <h2><?php the_title();?></h2>	
						       <p><?php $excerpt = get_the_excerpt(); echo esc_html( oneloginbiz_string_limit_words( $excerpt,50 ) ); ?></p>
						       <div class="design-btn">
					               	<span class="learn-btn">				           
					                  	<a href="<?php echo esc_url( get_permalink() );?>" class="blogbutton-small" title="<?php esc_attr_e( 'Learn More', 'oneloginbiz' ); ?>"><span><?php esc_html_e('Learn More','oneloginbiz'); ?><i class="fas fa-user"></i></span>       	
					                  	</a> 
					                </span>  
				                </div>	              	
				            </div>
			        	</div>
		           		<div class="col-md-6">
		           			<div class="img-box">
		           				<img src="<?php the_post_thumbnail_url('full'); ?>"/>
		           			</div>
		           		</div>		           		
		        	</div>		            
	            </div>
	           <?php endwhile; 
	           wp_reset_postdata();?>
	           <?php else : ?>
	             <div class="no-postfound"></div>
	           <?php
	        endif; ?>
    	</div>
	</section>
	<?php }?>

<?php get_footer(); ?>